VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats Class Reference

`Snmp.SNMPStats` class Structure to provide operators diagnostics on snmp agent itself. More...

List of all members.

## Public Member Functions
| SNMPStats ()
| Creates a default new instance.
string | GetSysuptime ()
| System uptime.
void | SetSysuptime (string sysuptime)
| System uptime.
string | GetWorstrtimelast ()
| Last updated time.
void | SetWorstrtimelast (string worstrtimelast)
| Last updated time.
string | GetAvgresponsetime ()
| Average response time.
void | SetAvgresponsetime (string avgresponsetime)
| Average response time.
string | GetWorstresponsetime ()
| Response time.
void | SetWorstresponsetime (string worstresponsetime)
| Response time.
long | GetInpkts ()
| No of input packets.
void | SetInpkts (long inpkts)
| No of input packets.
long | GetOutpkts ()
| No of output packets.
void | SetOutpkts (long outpkts)
| No of output packets.
long | GetUsmstatsnotintimewindows ()
| No of stats not in time window.
void | SetUsmstatsnotintimewindows (long usmstatsnotintimewindows)
| No of stats not in time window.
long | GetUsmstatsunknownusernames ()
| No of usm stats unknown.
void | SetUsmstatsunknownusernames (long usmstatsunknownusernames)
| No of usm stats unknown.
long | GetUsmstatsunknownengineids ()
| No of usm stats unknown engine ids.
void | SetUsmstatsunknownengineids (long usmstatsunknownengineids)
| No of usm stats unknown engine ids.
long | GetUsmstatswrongdigests ()
| No of wrogn digests.
void | SetUsmstatswrongdigests (long usmstatswrongdigests)
| No of wrogn digests.
long | GetUsmstatsdecryptionerrors ()
| No.
void | SetUsmstatsdecryptionerrors (long usmstatsdecryptionerrors)
| No.
long | GetInbadversions ()
| No of bad versions.
void | SetInbadversions (long inbadversions)
| No of bad versions.
long | GetInbadcommunitynames ()
| No of bad community names.
void | SetInbadcommunitynames (long inbadcommunitynames)
| No of bad community names.
long | GetInbadcommunityuses ()
| No of bad community uses.
void | SetInbadcommunityuses (long inbadcommunityuses)
| No of bad community uses.
long | GetInasnparseerrs ()
| No of parse errors.
void | SetInasnparseerrs (long inasnparseerrs)
| No of parse errors.
long | GetIntoobigs ()
| No of too bigs.
void | SetIntoobigs (long intoobigs)
| No of too bigs.
long | GetInnosuchnames ()
| No of no such names.
void | SetInnosuchnames (long innosuchnames)
| No of no such names.
long | GetInbadvalues ()
| No of bad values.
void | SetInbadvalues (long inbadvalues)
| No of bad values.
long | GetIngenerrs ()
| No of gen errors.
void | SetIngenerrs (long ingenerrs)
| No of gen errors.
long | GetOuttoobigs ()
| No out output too bigs.
void | SetOuttoobigs (long outtoobigs)
| No out output too bigs.
long | GetOutnosuchnames ()
| No of no such names.
void | SetOutnosuchnames (long outnosuchnames)
| No of no such names.
long | GetOutbadvalues ()
| No of bad values.
void | SetOutbadvalues (long outbadvalues)
| No of bad values.
long | GetOutgenerrs ()
| No of gen errors.
void | SetOutgenerrs (long outgenerrs)
| No of gen errors.
long | GetOuttraps ()
| No of output traps.
void | SetOuttraps (long outtraps)
| No of output traps.
long | GetSilentdrops ()
| No of silent drops.
void | SetSilentdrops (long silentdrops)
| No of silent drops.
long | GetAvgvarbinds ()
| No of ave:rage var binds.
void | SetAvgvarbinds (long avgvarbinds)
| No of ave:rage var binds.
long | GetMaxvarbinds ()
| No of max var binds.
void | SetMaxvarbinds (long maxvarbinds)
| No of max var binds.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Snmp.SNMPStats` class Structure to provide operators diagnostics on snmp agent itself.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::SNMPStats | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::Equals | ( | object | obj | ) | `[inline]`

string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::GetAvgresponsetime | ( |  | ) | `[inline]`

Average response time.

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::GetAvgvarbinds | ( |  | ) | `[inline]`

No of ave:rage var binds.

override int vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::GetHashCode | ( |  | ) | `[inline]`

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::GetInasnparseerrs | ( |  | ) | `[inline]`

No of parse errors.

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::GetInbadcommunitynames | ( |  | ) | `[inline]`

No of bad community names.

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::GetInbadcommunityuses | ( |  | ) | `[inline]`

No of bad community uses.

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::GetInbadvalues | ( |  | ) | `[inline]`

No of bad values.

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::GetInbadversions | ( |  | ) | `[inline]`

No of bad versions.

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::GetIngenerrs | ( |  | ) | `[inline]`

No of gen errors.

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::GetInnosuchnames | ( |  | ) | `[inline]`

No of no such names.

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::GetInpkts | ( |  | ) | `[inline]`

No of input packets.

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::GetIntoobigs | ( |  | ) | `[inline]`

No of too bigs.

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::GetMaxvarbinds | ( |  | ) | `[inline]`

No of max var binds.

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::GetOutbadvalues | ( |  | ) | `[inline]`

No of bad values.

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::GetOutgenerrs | ( |  | ) | `[inline]`

No of gen errors.

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::GetOutnosuchnames | ( |  | ) | `[inline]`

No of no such names.

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::GetOutpkts | ( |  | ) | `[inline]`

No of output packets.

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::GetOuttoobigs | ( |  | ) | `[inline]`

No out output too bigs.

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::GetOuttraps | ( |  | ) | `[inline]`

No of output traps.

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::GetSilentdrops | ( |  | ) | `[inline]`

No of silent drops.

string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::GetSysuptime | ( |  | ) | `[inline]`

System uptime.

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::GetUsmstatsdecryptionerrors | ( |  | ) | `[inline]`

No.

of decryption errors

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::GetUsmstatsnotintimewindows | ( |  | ) | `[inline]`

No of stats not in time window.

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::GetUsmstatsunknownengineids | ( |  | ) | `[inline]`

No of usm stats unknown engine ids.

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::GetUsmstatsunknownusernames | ( |  | ) | `[inline]`

No of usm stats unknown.

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::GetUsmstatswrongdigests | ( |  | ) | `[inline]`

No of wrogn digests.

string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::GetWorstresponsetime | ( |  | ) | `[inline]`

Response time.

string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::GetWorstrtimelast | ( |  | ) | `[inline]`

Last updated time.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::SetAvgresponsetime | ( | string | avgresponsetime | ) | `[inline]`

Average response time.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::SetAvgvarbinds | ( | long | avgvarbinds | ) | `[inline]`

No of ave:rage var binds.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::SetInasnparseerrs | ( | long | inasnparseerrs | ) | `[inline]`

No of parse errors.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::SetInbadcommunitynames | ( | long | inbadcommunitynames | ) | `[inline]`

No of bad community names.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::SetInbadcommunityuses | ( | long | inbadcommunityuses | ) | `[inline]`

No of bad community uses.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::SetInbadvalues | ( | long | inbadvalues | ) | `[inline]`

No of bad values.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::SetInbadversions | ( | long | inbadversions | ) | `[inline]`

No of bad versions.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::SetIngenerrs | ( | long | ingenerrs | ) | `[inline]`

No of gen errors.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::SetInnosuchnames | ( | long | innosuchnames | ) | `[inline]`

No of no such names.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::SetInpkts | ( | long | inpkts | ) | `[inline]`

No of input packets.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::SetIntoobigs | ( | long | intoobigs | ) | `[inline]`

No of too bigs.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::SetMaxvarbinds | ( | long | maxvarbinds | ) | `[inline]`

No of max var binds.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::SetOutbadvalues | ( | long | outbadvalues | ) | `[inline]`

No of bad values.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::SetOutgenerrs | ( | long | outgenerrs | ) | `[inline]`

No of gen errors.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::SetOutnosuchnames | ( | long | outnosuchnames | ) | `[inline]`

No of no such names.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::SetOutpkts | ( | long | outpkts | ) | `[inline]`

No of output packets.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::SetOuttoobigs | ( | long | outtoobigs | ) | `[inline]`

No out output too bigs.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::SetOuttraps | ( | long | outtraps | ) | `[inline]`

No of output traps.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::SetSilentdrops | ( | long | silentdrops | ) | `[inline]`

No of silent drops.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::SetSysuptime | ( | string | sysuptime | ) | `[inline]`

System uptime.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::SetUsmstatsdecryptionerrors | ( | long | usmstatsdecryptionerrors | ) | `[inline]`

No.

of decryption errors

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::SetUsmstatsnotintimewindows | ( | long | usmstatsnotintimewindows | ) | `[inline]`

No of stats not in time window.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::SetUsmstatsunknownengineids | ( | long | usmstatsunknownengineids | ) | `[inline]`

No of usm stats unknown engine ids.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::SetUsmstatsunknownusernames | ( | long | usmstatsunknownusernames | ) | `[inline]`

No of usm stats unknown.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::SetUsmstatswrongdigests | ( | long | usmstatswrongdigests | ) | `[inline]`

No of wrogn digests.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::SetWorstresponsetime | ( | string | worstresponsetime | ) | `[inline]`

Response time.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::SetWorstrtimelast | ( | string | worstrtimelast | ) | `[inline]`

Last updated time.

override string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPStats::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- SnmpTypes.cs